# Yumemi

yumemi 是 @GeekTR 自用命令行工具的合集。

## CI Usage

<details>
<summary>CI Usage</summary>

### docker-ci login

gitlab ci 下生成 Docker 登录命令，用法：

```shell
eval `yumemi docker-ci login`
```

### docker-ci build

gitlab ci 下创建 Docker 镜像，环境变量驱动，用法：

```yaml
Test Build:
  stage: build
  # image: geektr/yumemi:builder
  image: registry.geektr.co/t/yumemi:builder
  variables:
    workdir: ./docker (default:".")
    file: docker/Dockerfile
    sub_path: foo/bar
    tag: test (default:"latest")
    tags: latest,production,lts
    no_cache: "true"
    use_hash_tag: "true"
    cache_from: "tag_name" (default:tag or first key in tags)
    build_args: FOO=BAR,FOO2=BAR2
  script:
    - eval `yumemi docker-ci login`
    - yumemi docker-ci build
  only:
    - dev
```

</details>

## Develop

### First Clone

`yarn start`

### Build

`yarn build`

### Test

`yarn build && yumemi...`

### Build and Push Docker Image

`yarn docker-build && yarn docker-push`

### Publish NPM

`yarn build && npm publish`
