import { opGet } from "../../utils/1password";

import { OneWaySyncVault } from "./abstracts";

interface CloudflareKey {
  CF_Email: string;
  CF_Key: string;
}

class CloudflareVault extends OneWaySyncVault<CloudflareKey> {
  constructor(public accountName: string) {
    super();
  }
  get vaultPath() {
    return `geektr.co/cloudflare/${this.accountName}`;
  }
  async pullAlt() {
    const { sections } = await opGet({
      vault: "Cloud",
      item: `cloudflare/${this.accountName}:secret`,
    });
    this.data = sections["@default"] as unknown as CloudflareKey;
  }
}

export const MyCloudflareVault = new CloudflareVault("geektr");
