import { opGet } from "../../utils/1password";

import { OneWaySyncVault } from "./abstracts";

interface CoolqConfig {
  access_token: string;
  baseURL: string;
  admin: string;
}

class CoolqVault extends OneWaySyncVault<CoolqConfig> {
  constructor(public accountName: string) {
    super();
  }
  get vaultPath() {
    return `geektr.co/coolq/${this.accountName}`;
  }
  async pullAlt() {
    const { sections } = await opGet({
      vault: "geektr.co",
      item: `coolq:${this.accountName}/secrets`,
    });
    this.data = sections["@default"] as unknown as CoolqConfig;
  }
}

export const YumemiCoolqVault = new CoolqVault("yumemi");
