import { opGet } from "../../utils/1password";

import { OneWaySyncVault } from "./abstracts";

interface DnspodKey {
  DP_Id: string;
  DP_Key: string;
}

class DnspodVault extends OneWaySyncVault<DnspodKey> {
  constructor(public accountName: string) {
    super();
  }
  get vaultPath() {
    return `geektr.co/dnspod/${this.accountName}`;
  }
  async pullAlt() {
    const { sections } = await opGet({
      vault: "Cloud",
      item: `dnspod/${this.accountName}:secret`,
    });
    this.data = sections["@default"] as unknown as DnspodKey;
  }
}

export const MyDnspodVault = new DnspodVault("geektr");
