import { opGet } from "../../utils/1password";

import { OneWaySyncVault } from "./abstracts";

interface GandiKey {
  GANDI_LIVEDNS_KEY: string;
}

class GandiVault extends OneWaySyncVault<GandiKey> {
  constructor(public accountName: string) {
    super();
  }
  get vaultPath() {
    return `geektr.co/gandi/${this.accountName}`;
  }
  async pullAlt() {
    const { sections } = await opGet({
      vault: "Cloud",
      item: `gandi/${this.accountName}:secret`,
    });
    this.data = sections["@default"] as unknown as GandiKey;
  }
}

export const MyGandiVault = new GandiVault("geektr");
