#!/usr/bin/env node
/* eslint-disable @typescript-eslint/no-var-requires */
import program from "commander";

program
  .version(require("../package.json").version)
  .description(
    "欢迎光临星象馆，这里有着无论何时永远不会消失美丽的、无穷光辉满天的星星，等候着大家的到来。"
  );

require("./sub-commands/init-shell").default(program);
require("./sub-commands/docker-ci").default(program);
require("./sub-commands/coolq").default(program);
require("./sub-commands/portal").default(program);
require("./sub-commands/project-tree").default(program);
require("./sub-commands/vault").default(program);
require("./sub-commands/acme.sh").default(program);

program.parse(process.argv);

if (!process.argv.slice(2).length) {
  program.help();
}
