import inquirer from "inquirer";

import vault from "../../../utils/vault-agent";

import { secretExports } from "./utils";

const prompt = inquirer.createPromptModule({ output: process.stderr });

const vaultBasePath = "geektr.co/aliyun/geektr/ram";

async function init() {
  const ramList = await vault.list(vaultBasePath);
  const { ram } = await prompt({
    type: "list",
    name: "ram",
    message: "Select Ram:",
    choices: ramList,
  });

  const env: Record<string, string> = await vault.read(
    `${vaultBasePath}/${ram}`
  );

  secretExports(env);
}

init();
