import readline from "readline";

export function readOneLine(prompt = "> "): Promise<string> {
  return new Promise((resolve, reject) => {
    let result = "";

    const rl = readline.createInterface(process.stdin, process.stdout);
    rl.setPrompt(prompt);
    rl.prompt();

    rl.on("line", (line) => {
      result = line;
      rl.close();
    });

    rl.on("close", () => {
      if (!result) return reject();
      resolve(result);
    });
  });
}

export function readMultiLine(prompt = "> "): Promise<string[]> {
  return new Promise((resolve, reject) => {
    const result: string[] = [];

    const rl = readline.createInterface(process.stdin, process.stdout);
    rl.setPrompt(prompt);
    rl.prompt();

    rl.on("line", (line) => {
      if (line === "") return rl.close();
      result.push(line);
      rl.prompt();
    });

    rl.on("close", () => {
      if (!result.length) return reject();
      resolve(result);
    });
  });
}
