import vaultAxios, { KvResponse } from "./vault-axios";

async function write(path: string, data: unknown): Promise<void> {
  console.warn(`[Vault] write "${path}"`);
  await vaultAxios.post(path, data);
}

async function read<T>(path: string): Promise<T> {
  console.warn(`[Vault] read "${path}"`);
  const { data } = await vaultAxios.get<KvResponse<T>>(path);
  return data;
}

async function list(path: string): Promise<string[]> {
  console.warn(`[Vault] list "${path}"`);
  const { data } = await vaultAxios.get<KvResponse<{ keys: string[] }>>(path, {
    params: { list: true },
  });
  return data.keys;
}

const vaultAgent = { write, read, list };

export default vaultAgent;
